PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Here is a list of all class members with links to the classes they belong to:

### - l -

- l : PEthSocket::Address
- Last : PBitwiseEnum< BaseEnum, MaxValue, BaseInt > , PODBC::RecordSet , PODBC::Row
- lastElement : PXMLParser
- lastError : PVideoDevice
- lastErrorCode : PSNMPClient , PSNMPServer , PChannel
- lastErrorIndex : PSNMPClient , PSNMPServer
- lastErrorNumber : PChannel
- LastGeneralError : PChannel
- LastModifiedTag() : PHTTP
- lastReadCount : PChannel
- LastReadError : PChannel
- lastReceivedAddress : PMonitoredSocketChannel
- lastReceivedInterface : PMonitoredSocketChannel
- lastReceivedPort : PMonitoredSocketChannel
- lastResponseCode : PInternetProtocol
- lastResponseInfo : PInternetProtocol
- lastTimeStamp : PAec
- lastWriteCount : PChannel
- LastWriteError : PChannel
- ldapAttributes : PLDAPSchema
- ldapBinAttributes : PLDAPSchema
- ldapContext : PLDAPSession
- LE : PIntCondMutex
- leakDumpStream : PMemoryHeap
- Leave() : XMPP::MUC::Room
- Left() : PString
- LeftRotate() : PAbstractSortedList
- LeftTrim() : PString
- LegacyAsString() : PURL
- LegacyParse() : PURL
- length : PSTUNAttribute
- LengthRequired : PHTTP
- LessThan : PObject
- LIFETIME : PSTUNAttribute
- line : PMemoryHeap::Header , PVideoFont::LetterData
- LineBusy : PModem
- LineFeedDisposition : PTelnetSocket
- LineModeOption : PTelnetSocket
- lineNumber : PXMLElement
- Lines() : PString
- link : PColourConverterRegistration , PServiceMacro
- LinkDown : PSNMP
- LinkUp : PSNMP
- LIST : PFTP , PPOP3
- list : PServiceMacro
- Listen() : PEthSocket , PIPSocket , PSocket , PSocksSocket , PSocksUDPSocket , PSSDP
- ListenForHTTP() : PHTTPServiceProcess
- listHead : PMemoryHeap
- ListHeading() : PHTML::ListHeading
- ListItem() : PHTML::ListItem
- listTail : PMemoryHeap
- Literal : PString
- Load() : PSound , PIpAccessControlList , PSOAPMessage , PSSLPrivateKey , PSSLCertificate , PSSLDiffieHellman , PXML , PXMLRPCBlock , PScriptLanguage , PURLLoader , PVXMLSession
- LoadAndValidate() : PXML
- LoadData() : PHTTPResource , PHTTPFile , PHTTPTailFile
- LoadFile() : PXML , PScriptLanguage , PVXMLSession
- loadFilename : PXML
- LoadFromConfig() : PHTTPConfig , PHTTPField , PHTTPCompositeField , PHTTPFieldArray , PHTTPIntegerField , PHTTPBooleanField
- LoadFromFile : PServiceHTML
- loadFromFile : PXML
- LoadGrammar() : PVXMLSession
- LoadHeaders() : PHTTPDirectory , PHTTPResource , PHTTPString , PHTTPFile , PHTTPTailFile , PSOAPServerResource , PXMLRPCServerResource
- LoadHostsAccess() : PIpAccessControlList
- LoadingPlugIn : PPluginManager
- LoadParams() : PURL::LoadParams
- LoadPlugin() : PPluginManager , PPluginModuleManager
- LoadPluginDirectory() : PPluginManager , PPluginModuleManager
- LoadResource() : PURL
- LoadSchema() : PLDAPSchema
- LoadText() : PRegisterPage , PServiceHTTPString , PScriptLanguage , PHTTPResource , PHTTPDirectory , PHTTPFile , PHTTPString
- LoadURL() : PVXMLSession , PXML_HTTP
- LoadVXML() : PVXMLSession
- Local : PTime
- localAddr : PHTTPRequest , PICMPSocket::PingInfo
- localAddress : PSocksProtocol
- LocalDomain : PSMTPServer
- localPort : PMonitoredSockets , PSocksProtocol , PHTTPRequest
- LocalStorageBase() : PThread::LocalStorageBase
- LocalStorageList : PThread
- LocateName() : PHTTPField , PHTTPCompositeField
- LocationOnly : PURL
- LocationTag() : PHTTP
- Lock() : PSafeLockReadOnly , PSafeLockReadWrite
- locked : PSafeLockReadOnly , PSafeLockReadWrite
- lockMode : PSafePtrBase
- LockPtr() : PSafePtrBase , PSafePtrMultiThreaded
- LockReadOnly() : PSafeObject
- LockReadWrite() : PSafeObject
- loggedIn : PPOP3Client
- loggedOn : PMail
- LogIn() : PPOP3Client , PSMTPClient , PFTPClient
- LoginOptions : PPOP3Client
- LoginTranslation : PURL
- LogOff() : PMail
- LogOn() : PMail
- LongDate : PTime
- LongDateTime : PTime
- LongISO8601 : PTime
- LongTime : PTime
- LookUp() : PMail
- LookUpError : PMail , PSMTPServer
- LookUpName() : PSMTPServer
- LookUpResult : PMail , PSMTPServer
- low : PHTTPIntegerField
- LowestPriority : PThread
- LowPriority : PThread
- ls : PEthSocket::Address
- LT : PIntCondMutex